Hi All, I would like my code to issue "Select a Wall" until one is selected. The way the code stands it keeps prompting if empty space is selected or another entity which I want. I would like to be able to ESC by hitting said key. right now I have to select an object to exit. I have included my latest attempt. This is what I have now and would like to add ability to hit ESC to escape '********************************* Retry: Me.Hide ThisDrawing.Utility.GetEntity entObj, varPkPt, "Select a Wall" & vbCrLf If Err <> 0 Then Err.Clear GoTo Retry Exit Sub '********************************* I tried to chance to the following to capture the ESC key error which I read produces a neg value and the application produces a positive value on error. This just closes on all errors including selection emply space,hitting enter,ESC,right-click. Could someone please tell me what I'm doing wrong. Thank You. Paul If Err.Number > 0 Then Err.Clear GoTo Retry ElseIf Err.Number < 0 Then Err.Clear Exit Sub